### Method

# EDataServerUI4 CertificateWidget get_has_data

since: 3.60

#### Declaration [src]

    gboolean
    e_certificate_widget_get_has_data (
      ECertificateWidget* self
    )

#### Description [src]

Returns whether the `self` shows any certificate data. The data is read either by `e_certificate_widget_set_der()` or by e_certificate_widget_set_pem().

Available since: 3.60

#### Return value

Type: `gboolean`

Whether shows any data.